Lorene::Eos_incomp_newt Class Reference
Equations of state

Equation of state of incompressible matter (Newtonian case). More...

`#include <eos.h>`

Inheritance diagram for Lorene::Eos_incomp_newt:

## Public Member Functions

| Eos_incomp_newt (double rho_c)
| Standard constructor.
| Eos_incomp_newt (double rho_c, double ent_c)
| Standard constructor with specific enthalpy threshold.
| Eos_incomp_newt (const Eos_incomp_newt &)
| Copy constructor.
virtual | ~Eos_incomp_newt ()
| Destructor.
void | operator= (const Eos_incomp_newt &)
| Assignment to another `Eos_incomp_newt`.
virtual bool | operator== (const Eos &) const
| Comparison operator (egality).
virtual bool | operator!= (const Eos &) const
| Comparison operator (difference).
virtual int | identify () const
| Returns a number to identify the sub-classe of `Eos` the object belongs to.
virtual void | sauve (FILE *) const
| Save in a file.
virtual double | nbar_ent_p (double ent, const Param *par=0x0) const
| Computes the baryon density from the specific enthalpy.
virtual double | ener_ent_p (double ent, const Param *par=0x0) const
| Computes the total energy density from the specific enthalpy.
virtual double | press_ent_p (double ent, const Param *par=0x0) const
| Computes the pressure from the specific enthalpy.
virtual double | der_nbar_ent_p (double ent, const Param *par=0x0) const
| Computes the logarithmic derivative from the specific enthalpy.
virtual double | der_ener_ent_p (double ent, const Param *par=0x0) const
| Computes the logarithmic derivative from the specific enthalpy.
virtual double | der_press_ent_p (double ent, const Param *par=0x0) const
| Computes the logarithmic derivative from the specific enthalpy.
const char * | get_name () const
| Returns the EOS name.
void | set_name (const char *name_i)
| Sets the EOS name.
Cmp | nbar_ent (const Cmp &ent, int nzet, int l_min=0, const Param *par=0x0) const
| Computes the baryon density field from the log-enthalpy field and extra parameters.
Scalar | nbar_ent (const Scalar &ent, int nzet, int l_min=0, const Param *par=0x0) const
| Computes the baryon density field from the log-enthalpy field and extra parameters.
Cmp | ener_ent (const Cmp &ent, int nzet, int l_min=0, const Param *par=0x0) const
| Computes the total energy density from the log-enthalpy and extra parameters.
Scalar | ener_ent (const Scalar &ent, int nzet, int l_min=0, const Param *par=0x0) const
| Computes the total energy density from the log-enthalpy and extra parameters.
Cmp | press_ent (const Cmp &ent, int nzet, int l_min=0, const Param *par=0x0) const
| Computes the pressure from the log-enthalpy and extra parameters.
Scalar | press_ent (const Scalar &ent, int nzet, int l_min=0, const Param *par=0x0) const
| Computes the pressure from the log-enthalpy and extra parameters.
Cmp | der_nbar_ent (const Cmp &ent, int nzet, int l_min=0, const Param *par=0x0) const
| Computes the logarithmic derivative from the log-enthalpy and extra parameters.
Scalar | der_nbar_ent (const Scalar &ent, int nzet, int l_min=0, const Param *par=0x0) const
| Computes the logarithmic derivative from the log-enthalpy and extra parameters.
Cmp | der_ener_ent (const Cmp &ent, int nzet, int l_min=0, const Param *par=0x0) const
| Computes the logarithmic derivative from the log-enthalpy and extra parameters.
Scalar | der_ener_ent (const Scalar &ent, int nzet, int l_min=0, const Param *par=0x0) const
| Computes the logarithmic derivative from the log-enthalpy and extra parameters.
Cmp | der_press_ent (const Cmp &ent, int nzet, int l_min=0, const Param *par=0x0) const
| Computes the logarithmic derivative from the log-enthalpy and extra parameters.
Scalar | der_press_ent (const Scalar &ent, int nzet, int l_min=0, const Param *par=0x0) const
| Computes the logarithmic derivative from the log-enthalpy and extra parameters.

## Static Public Member Functions

static Eos * | eos_from_file (FILE *)
| Construction of an EOS from a binary file.
static Eos * | eos_from_file (ifstream &)
| Construction of an EOS from a formatted file.

## Protected Member Functions

| Eos_incomp_newt (FILE *)
| Constructor from a binary file (created by the function `sauve(FILE*)` ).
| Eos_incomp_newt (ifstream &)
| Constructor from a formatted file.
virtual ostream & | operator>> (ostream &) const
| Operator >>.
void | calcule (const Cmp &thermo, int nzet, int l_min, double(Eos::*fait)(double, const Param *) const, const Param *par, Cmp &resu) const
| General computational method for `Cmp` 's.
void | calcule (const Scalar &thermo, int nzet, int l_min, double(Eos::*fait)(double, const Param *) const, const Param *par, Scalar &resu) const
| General computational method for `Scalar` 's.

## Protected Attributes

double | rho0
| Constant density .
double | ent0
| Log-enthalpy threshold for setting the energy density to a non zero value (should be negative).
char | name [100]
| EOS name.

## Friends

Eos * | Eos::eos_from_file (FILE *)
| The construction functions from a file.
Eos * | Eos::eos_from_file (ifstream &)

## Detailed Description

Equation of state of incompressible matter (Newtonian case).

This equation of state (EOS) corresponds to a constant density matter . ()

Definition at line 1376 of file eos.h.

## Constructor & Destructor Documentation

## Eos_incomp_newt() [1/5]

Lorene::Eos_incomp_newt::Eos_incomp_newt | ( | double | rho_c | ) |

Standard constructor.

The log-enthalpy threshold for non-zero density is set -1.e-6.

Parameters

  rho_c | constant density [unit: ], where

Definition at line 95 of file eos_incomp_newt.C.

References Lorene::Eos_incomp::Eos_incomp(), and Lorene::Eos::set_name().

## Eos_incomp_newt() [2/5]

Lorene::Eos_incomp_newt::Eos_incomp_newt | ( | double | rho_c,
|  | double | ent_c )

Standard constructor with specific enthalpy threshold.

Parameters

  rho_c | constant density [unit: ], where
  ent_c | specific enthalpy threshold for non-zero density [unit: ] : the energy density is set to `rho_c` for .

Definition at line 103 of file eos_incomp_newt.C.

References Lorene::Eos_incomp::Eos_incomp(), and Lorene::Eos::set_name().

## Eos_incomp_newt() [3/5]

Lorene::Eos_incomp_newt::Eos_incomp_newt | ( | const Eos_incomp_newt & | eosi | ) |

Copy constructor.

Definition at line 112 of file eos_incomp_newt.C.

References Lorene::Eos_incomp::Eos_incomp(), and Eos_incomp_newt().

## Eos_incomp_newt() [4/5]

Lorene::Eos_incomp_newt::Eos_incomp_newt | ( | FILE * | fich | ) |

protected

Constructor from a binary file (created by the function `sauve(FILE*)` ).

This constructor is protected because any EOS construction from a binary file must be done via the function `Eos::eos_from_file(FILE*)` .

Definition at line 118 of file eos_incomp_newt.C.

References Lorene::Eos_incomp::Eos_incomp().

## Eos_incomp_newt() [5/5]

Lorene::Eos_incomp_newt::Eos_incomp_newt | ( | ifstream & | fich | ) |

protected

Constructor from a formatted file.

This constructor is protected because any EOS construction from a formatted file must be done via the function `Eos::eos_from_file(ifstream&)` .

Definition at line 122 of file eos_incomp_newt.C.

References Lorene::Eos_incomp::Eos_incomp().

## ~Eos_incomp_newt()

Lorene::Eos_incomp_newt::~Eos_incomp_newt | ( |  | ) |

virtual

Destructor.

Definition at line 128 of file eos_incomp_newt.C.

## Member Function Documentation

## calcule() [1/2]

void Lorene::Eos::calcule | ( | const Cmp & | thermo,
|  | int | nzet,
|  | int | l_min,
|  | double(Eos::* | fait )(double, const Param *) const,
|  | const Param * | par,
|  | Cmp & | resu ) const

protected inherited

General computational method for `Cmp` 's.

Parameters

  thermo | [input] thermodynamical quantity (for instance the enthalpy field)from which the thermodynamical quantity `resu` is to be computed.
  nzet | [input] number of domains where `resu` is to be computed.
  l_min | [input] index of the innermost domain is which `resu` is to be computed [default value: 0]; `resu` is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.
  fait | [input] pointer on the member function of class `Eos` which performs the pointwise calculation.
  par | possible extra parameters of the EOS
  resu | [output] result of the computation.

Definition at line 203 of file eos.C.

References Lorene::Cmp::annule(), Lorene::Valeur::c, Lorene::Valeur::coef_i(), Eos(), Lorene::Cmp::get_etat(), Lorene::Tbl::get_etat(), Lorene::Cmp::get_mp(), Lorene::Mg3d::get_nzone(), Lorene::Tbl::get_taille(), Lorene::Map(), Lorene::Valeur::set_etat_c_qcq(), Lorene::Cmp::set_etat_qcq(), Lorene::Mtbl::set_etat_qcq(), Lorene::Tbl::set_etat_qcq(), Lorene::Cmp::set_etat_zero(), Lorene::Tbl::set_etat_zero(), Lorene::Mtbl::t, Lorene::Tbl::t, and Lorene::Cmp::va.

## calcule() [2/2]

void Lorene::Eos::calcule | ( | const Scalar & | thermo,
|  | int | nzet,
|  | int | l_min,
|  | double(Eos::* | fait )(double, const Param *) const,
|  | const Param * | par,
|  | Scalar & | resu ) const

protected inherited

General computational method for `Scalar` 's.

Parameters

  thermo | [input] thermodynamical quantity (for instance the enthalpy field)from which the thermodynamical quantity `resu` is to be computed.
  nzet | [input] number of domains where `resu` is to be computed.
  l_min | [input] index of the innermost domain is which `resu` is to be computed [default value: 0]; `resu` is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.
  fait | [input] pointer on the member function of class `Eos` which performs the pointwise calculation.
  par | possible extra parameters of the EOS
  resu | [output] result of the computation.

Definition at line 268 of file eos.C.

References Lorene::Scalar::annule(), Lorene::Valeur::c, Lorene::Valeur::coef_i(), Eos(), Lorene::Scalar::get_etat(), Lorene::Tbl::get_etat(), Lorene::Tensor::get_mp(), Lorene::Mg3d::get_nzone(), Lorene::Scalar::get_spectral_va(), Lorene::Tbl::get_taille(), Lorene::Map(), Lorene::Valeur::set_etat_c_qcq(), Lorene::Mtbl::set_etat_qcq(), Lorene::Scalar::set_etat_qcq(), Lorene::Tbl::set_etat_qcq(), Lorene::Scalar::set_etat_zero(), Lorene::Tbl::set_etat_zero(), Lorene::Scalar::set_spectral_va(), Lorene::Mtbl::t, and Lorene::Tbl::t.

## der_ener_ent() [1/2]

Cmp Lorene::Eos::der_ener_ent | ( | const Cmp & | ent,
|  | int | nzet,
|  | int | l_min = 0,
|  | const Param * | par = 0x0 ) const

inherited

Computes the logarithmic derivative from the log-enthalpy and extra parameters.

Parameters

  ent | [input, unit: ] log-enthalpy H defined by , where e is the (total) energy density, p the pressure, n the baryon density, and the baryon mass
  nzet | number of domains where the derivative dln(e)/dln(H) is to be computed.
  l_min | index of the innermost domain is which the coefficient dln(n)/dln(H) is to be computed [default value: 0]; the derivative dln(e)/dln(H) is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.
  par | possible extra parameters of the EOS

Returns
  dln(e)/dln(H)

Definition at line 430 of file eos.C.

References calcule(), der_ener_ent_p(), and Lorene::Cmp::get_mp().

## der_ener_ent() [2/2]

Scalar Lorene::Eos::der_ener_ent | ( | const Scalar & | ent,
|  | int | nzet,
|  | int | l_min = 0,
|  | const Param * | par = 0x0 ) const

inherited

Computes the logarithmic derivative from the log-enthalpy and extra parameters.

Parameters

  ent | [input, unit: ] log-enthalpy H defined by , where e is the (total) energy density, p the pressure, n the baryon density, and the baryon mass
  nzet | number of domains where the derivative dln(e)/dln(H) is to be computed.
  l_min | index of the innermost domain is which the coefficient dln(n)/dln(H) is to be computed [default value: 0]; the derivative dln(e)/dln(H) is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.
  par | possible extra parameters of the EOS

Returns
  dln(e)/dln(H)

Definition at line 440 of file eos.C.

References calcule(), der_ener_ent_p(), and Lorene::Tensor::get_mp().

## der_ener_ent_p()

double Lorene::Eos_incomp_newt::der_ener_ent_p | ( | double | ent,
|  | const Param * | par = 0x0 ) const

virtual

Computes the logarithmic derivative from the specific enthalpy.

Parameters

  ent | [input, unit: ] specific enthalpy H

Returns
  dln(e)/dln(h)

Reimplemented from Lorene::Eos_incomp.

Definition at line 277 of file eos_incomp_newt.C.

References Lorene::Eos_incomp::ent0.

## der_nbar_ent() [1/2]

Cmp Lorene::Eos::der_nbar_ent | ( | const Cmp & | ent,
|  | int | nzet,
|  | int | l_min = 0,
|  | const Param * | par = 0x0 ) const

inherited

Computes the logarithmic derivative from the log-enthalpy and extra parameters.

Parameters

  ent | [input, unit: ] log-enthalpy H defined by , where e is the (total) energy density, p the pressure, n the baryon density, and the baryon mass
  nzet | number of domains where the derivative dln(n)/dln(H) is to be computed.
  l_min | index of the innermost domain is which the coefficient dln(n)/dln(H) is to be computed [default value: 0]; the derivative dln(n)/dln(H) is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.
  par | possible extra parameters of the EOS

Returns
  dln(n)/dln(H)

Definition at line 407 of file eos.C.

References calcule(), der_nbar_ent_p(), and Lorene::Cmp::get_mp().

## der_nbar_ent() [2/2]

Scalar Lorene::Eos::der_nbar_ent | ( | const Scalar & | ent,
|  | int | nzet,
|  | int | l_min = 0,
|  | const Param * | par = 0x0 ) const

inherited

Computes the logarithmic derivative from the log-enthalpy and extra parameters.

Parameters

  ent | [input, unit: ] log-enthalpy H defined by , where e is the (total) energy density, p the pressure, n the baryon density, and the baryon mass
  nzet | number of domains where the derivative dln(n)/dln(H) is to be computed.
  l_min | index of the innermost domain is which the coefficient dln(n)/dln(H) is to be computed [default value: 0]; the derivative dln(n)/dln(H) is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.
  par | possible extra parameters of the EOS

Returns
  dln(n)/dln(H)

Definition at line 417 of file eos.C.

References calcule(), der_nbar_ent_p(), and Lorene::Tensor::get_mp().

## der_nbar_ent_p()

double Lorene::Eos_incomp_newt::der_nbar_ent_p | ( | double | ent,
|  | const Param * | par = 0x0 ) const

virtual

Computes the logarithmic derivative from the specific enthalpy.

Parameters

  ent | [input, unit: ] specific enthalpy H

Returns
  dln(n)/dln(h)

Reimplemented from Lorene::Eos_incomp.

Definition at line 263 of file eos_incomp_newt.C.

References Lorene::Eos_incomp::ent0.

## der_press_ent() [1/2]

Cmp Lorene::Eos::der_press_ent | ( | const Cmp & | ent,
|  | int | nzet,
|  | int | l_min = 0,
|  | const Param * | par = 0x0 ) const

inherited

Computes the logarithmic derivative from the log-enthalpy and extra parameters.

Parameters

  ent | [input, unit: ] log-enthalpy H defined by , where e is the (total) energy density, p the pressure, n the baryon density, and the baryon mass
  nzet | number of domains where the derivative dln(p)/dln(H) is to be computed.
  par | possible extra parameters of the EOS
  l_min | index of the innermost domain is which the coefficient dln(n)/dln(H) is to be computed [default value: 0]; the derivative dln(p)/dln(H) is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.

Returns
  dln(p)/dln(H)

Definition at line 452 of file eos.C.

References calcule(), der_press_ent_p(), and Lorene::Cmp::get_mp().

## der_press_ent() [2/2]

Scalar Lorene::Eos::der_press_ent | ( | const Scalar & | ent,
|  | int | nzet,
|  | int | l_min = 0,
|  | const Param * | par = 0x0 ) const

inherited

Computes the logarithmic derivative from the log-enthalpy and extra parameters.

Parameters

  ent | [input, unit: ] log-enthalpy H defined by , where e is the (total) energy density, p the pressure, n the baryon density, and the baryon mass
  nzet | number of domains where the derivative dln(p)/dln(H) is to be computed.
  par | possible extra parameters of the EOS
  l_min | index of the innermost domain is which the coefficient dln(n)/dln(H) is to be computed [default value: 0]; the derivative dln(p)/dln(H) is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.

Returns
  dln(p)/dln(H)

Definition at line 462 of file eos.C.

References calcule(), der_press_ent_p(), and Lorene::Tensor::get_mp().

## der_press_ent_p()

double Lorene::Eos_incomp_newt::der_press_ent_p | ( | double | ent,
|  | const Param * | par = 0x0 ) const

virtual

Computes the logarithmic derivative from the specific enthalpy.

Parameters

  ent | [input, unit: ] specific enthalpy H

Returns
  dln(p)/dln(h)

Reimplemented from Lorene::Eos_incomp.

Definition at line 291 of file eos_incomp_newt.C.

References Lorene::Eos_incomp::ent0.

## ener_ent() [1/2]

Cmp Lorene::Eos::ener_ent | ( | const Cmp & | ent,
|  | int | nzet,
|  | int | l_min = 0,
|  | const Param * | par = 0x0 ) const

inherited

Computes the total energy density from the log-enthalpy and extra parameters.

Parameters

  ent | [input, unit: ] log-enthalpy H defined by , where e is the (total) energy density, p the pressure, n the baryon density, and the baryon mass
  nzet | number of domains where the energy density is to be computed.
  l_min | index of the innermost domain is which the energy density is to be computed [default value: 0]; the energy density is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.
  par | possible extra parameters of the EOS

Returns
  energy density [unit: ], where

Definition at line 363 of file eos.C.

References calcule(), ener_ent_p(), and Lorene::Cmp::get_mp().

## ener_ent() [2/2]

Scalar Lorene::Eos::ener_ent | ( | const Scalar & | ent,
|  | int | nzet,
|  | int | l_min = 0,
|  | const Param * | par = 0x0 ) const

inherited

Computes the total energy density from the log-enthalpy and extra parameters.

Parameters

  ent | [input, unit: ] log-enthalpy H defined by , where e is the (total) energy density, p the pressure, n the baryon density, and the baryon mass
  nzet | number of domains where the energy density is to be computed.
  l_min | index of the innermost domain is which the energy density is to be computed [default value: 0]; the energy density is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.
  par | possible extra parameters of the EOS

Returns
  energy density [unit: ], where

Definition at line 373 of file eos.C.

References calcule(), ener_ent_p(), and Lorene::Tensor::get_mp().

## ener_ent_p()

double Lorene::Eos_incomp_newt::ener_ent_p | ( | double | ent,
|  | const Param * | par = 0x0 ) const

virtual

Computes the total energy density from the specific enthalpy.

Parameters

  ent | [input, unit: ] specific enthalpy H

Returns
  energy density e [unit: ], where

Reimplemented from Lorene::Eos_incomp.

Definition at line 235 of file eos_incomp_newt.C.

References Lorene::Eos_incomp::ent0, and Lorene::Eos_incomp::rho0.

## eos_from_file() [1/2]

Eos * Lorene::Eos::eos_from_file | ( | FILE * | fich | ) |

static inherited

Construction of an EOS from a binary file.

The file must have been created by the function `sauve(FILE*)` .

Definition at line 177 of file eos_from_file.C.

References Eos(), and Lorene::fread_be().

## eos_from_file() [2/2]

Eos * Lorene::Eos::eos_from_file | ( | ifstream & | fich | ) |

static inherited

Construction of an EOS from a formatted file.

The fist line of the file must start by the EOS number, according to the following conventions:

- 1 = relativistic polytropic EOS (class `Eos_poly` ).
- 2 = Newtonian polytropic EOS (class `Eos_poly_newt` ).
- 3 = Relativistic incompressible EOS (class `Eos_incomp` ).
- 4 = Newtonian incompressible EOS (class `Eos_incomp_newt` ).
- 5 = Strange matter (MIT Bag model)
- 6 = Strange matter (MIT Bag model) with crust
- 10 = SLy4 (Douchin & Haensel 2001)
- 11 = FPS (Friedman-Pandharipande + Skyrme)
- 12 = BPAL12 (Bombaci et al. 1995)
- 13 = AkmalPR (Akmal, Pandharipande & Ravenhall 1998)
- 14 = BBB2 (Baldo, Bombaci & Burgio 1997)
- 15 = BalbN1H1 (Balberg 2000)
- 16 = GlendNH3 (Glendenning 1985, case 3)
- 17 = Compstar (Tabulated EOS for 2010 CompStar school)
- 18 = magnetized (tabulated) equation of state
- 19 = relativistic ideal Fermi gas at zero temperature (class `Eos_Fermi`)
- 100 = Multi-domain EOS (class `MEos` )
- 110 = Multi-polytropic EOS (class `Eos_multi_poly` )
- 120 = Fitted SLy4 (Shibata 2004)
- 121 = Fitted FPS (Shibata 2004)
- 122 = Fitted AkmalPR (Taniguchi 2005)

The second line in the file should contain a name given by the user to the EOS. The following lines should contain the EOS parameters (one parameter per line), in the same order than in the class declaration.

Definition at line 314 of file eos_from_file.C.

References Eos().

## get_name()

const char * Lorene::Eos::get_name | ( |  | ) | const

inherited

Returns the EOS name.

Definition at line 169 of file eos.C.

References name.

## identify()

int Lorene::Eos_incomp_newt::identify | ( |  | ) | const

virtual

Returns a number to identify the sub-classe of `Eos` the object belongs to.

Reimplemented from Lorene::Eos_incomp.

Definition at line 135 of file eos_from_file.C.

## nbar_ent() [1/2]

Cmp Lorene::Eos::nbar_ent | ( | const Cmp & | ent,
|  | int | nzet,
|  | int | l_min = 0,
|  | const Param * | par = 0x0 ) const

inherited

Computes the baryon density field from the log-enthalpy field and extra parameters.

Parameters

  ent | [input, unit: ] log-enthalpy H defined by , where e is the (total) energy density, p the pressure, n the baryon density, and the baryon mass
  nzet | number of domains where the baryon density is to be computed.
  l_min | index of the innermost domain is which the baryon density is to be computed [default value: 0]; the baryon density is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.
  par | possible extra parameters of the EOS

Returns
  baryon density [unit: ]

Definition at line 338 of file eos.C.

References calcule(), Lorene::Cmp::get_mp(), and nbar_ent_p().

## nbar_ent() [2/2]

Scalar Lorene::Eos::nbar_ent | ( | const Scalar & | ent,
|  | int | nzet,
|  | int | l_min = 0,
|  | const Param * | par = 0x0 ) const

inherited

Computes the baryon density field from the log-enthalpy field and extra parameters.

Parameters

  ent | [input, unit: ] log-enthalpy H defined by , where e is the (total) energy density, p the pressure, n the baryon density, and the baryon mass
  nzet | number of domains where the baryon density is to be computed.
  l_min | index of the innermost domain is which the baryon density is to be computed [default value: 0]; the baryon density is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.
  par | possible extra parameters of the EOS

Returns
  baryon density [unit: ]

Definition at line 348 of file eos.C.

References calcule(), Lorene::Tensor::get_mp(), and nbar_ent_p().

## nbar_ent_p()

double Lorene::Eos_incomp_newt::nbar_ent_p | ( | double | ent,
|  | const Param * | par = 0x0 ) const

virtual

Computes the baryon density from the specific enthalpy.

Parameters

  ent | [input, unit: ] specific enthalpy H

Returns
  baryon density n [unit: ]

Reimplemented from Lorene::Eos_incomp.

Definition at line 221 of file eos_incomp_newt.C.

References Lorene::Eos_incomp::ent0, and Lorene::Eos_incomp::rho0.

## operator!=()

bool Lorene::Eos_incomp_newt::operator!= | ( | const Eos & | eos_i | ) | const

virtual

Comparison operator (difference).

Reimplemented from Lorene::Eos_incomp.

Definition at line 183 of file eos_incomp_newt.C.

References operator==().

## operator=()

void Lorene::Eos_incomp_newt::operator= | ( | const Eos_incomp_newt & | eosi | ) |

Assignment to another `Eos_incomp_newt`.

Definition at line 137 of file eos_incomp_newt.C.

References Lorene::Eos_incomp::ent0, Eos_incomp_newt(), Lorene::Eos::name, Lorene::Eos_incomp::rho0, and Lorene::Eos::set_name().

## operator==()

bool Lorene::Eos_incomp_newt::operator== | ( | const Eos & | eos_i | ) | const

virtual

Comparison operator (egality).

Reimplemented from Lorene::Eos_incomp.

Definition at line 150 of file eos_incomp_newt.C.

References Lorene::Eos_incomp::ent0, Eos_incomp_newt(), Lorene::Eos::identify(), identify(), and Lorene::Eos_incomp::rho0.

## operator>>()

ostream & Lorene::Eos_incomp_newt::operator>> | ( | ostream & | ost | ) | const

protected virtual

Operator >>.

Reimplemented from Lorene::Eos_incomp.

Definition at line 201 of file eos_incomp_newt.C.

References Lorene::Eos_incomp::ent0, and Lorene::Eos_incomp::rho0.

## press_ent() [1/2]

Cmp Lorene::Eos::press_ent | ( | const Cmp & | ent,
|  | int | nzet,
|  | int | l_min = 0,
|  | const Param * | par = 0x0 ) const

inherited

Computes the pressure from the log-enthalpy and extra parameters.

Parameters

  ent | [input, unit: ] log-enthalpy H defined by , where e is the (total) energy density, p the pressure, n the baryon density, and the baryon mass
  nzet | number of domains where the pressure is to be computed.
  l_min | index of the innermost domain is which the pressure is to be computed [default value: 0]; the pressure is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.
  par | possible extra parameters of the EOS

Returns
  pressure [unit: ], where

Definition at line 385 of file eos.C.

References calcule(), Lorene::Cmp::get_mp(), and press_ent_p().

## press_ent() [2/2]

Scalar Lorene::Eos::press_ent | ( | const Scalar & | ent,
|  | int | nzet,
|  | int | l_min = 0,
|  | const Param * | par = 0x0 ) const

inherited

Computes the pressure from the log-enthalpy and extra parameters.

Parameters

  ent | [input, unit: ] log-enthalpy H defined by , where e is the (total) energy density, p the pressure, n the baryon density, and the baryon mass
  nzet | number of domains where the pressure is to be computed.
  l_min | index of the innermost domain is which the pressure is to be computed [default value: 0]; the pressure is computed only in domains whose indices are in ``[l_min,l_min+nzet-1] . In the other domains, it is set to zero.
  par | possible extra parameters of the EOS

Returns
  pressure [unit: ], where

Definition at line 395 of file eos.C.

References calcule(), Lorene::Tensor::get_mp(), and press_ent_p().

## press_ent_p()

double Lorene::Eos_incomp_newt::press_ent_p | ( | double | ent,
|  | const Param * | par = 0x0 ) const

virtual

Computes the pressure from the specific enthalpy.

Parameters

  ent | [input, unit: ] specific enthalpy H

Returns
  pressure p [unit: ], where

Reimplemented from Lorene::Eos_incomp.

Definition at line 249 of file eos_incomp_newt.C.

References Lorene::Eos_incomp::ent0, and Lorene::Eos_incomp::rho0.

## sauve()

void Lorene::Eos_incomp_newt::sauve | ( | FILE * | fich | ) | const

virtual

Save in a file.

Reimplemented from Lorene::Eos_incomp.

Definition at line 195 of file eos_incomp_newt.C.

References Lorene::Eos_incomp::sauve().

## set_name()

void Lorene::Eos::set_name | ( | const char * | name_i | ) |

inherited

Sets the EOS name.

Definition at line 163 of file eos.C.

References name.

## Friends And Related Symbol Documentation

## Eos::eos_from_file

Eos * Eos::eos_from_file | ( | FILE * |  | ) |

friend

The construction functions from a file.

References Eos_incomp_newt().

## Member Data Documentation

## ent0

double Lorene::Eos_incomp::ent0

protected inherited

Log-enthalpy threshold for setting the energy density to a non zero value (should be negative).

Definition at line 1218 of file eos.h.

## name

char Lorene::Eos::name[100]

protected inherited

EOS name.

Definition at line 196 of file eos.h.

## rho0

double Lorene::Eos_incomp::rho0

protected inherited

Constant density .

Definition at line 1213 of file eos.h.

The documentation for this class was generated from the following files:

- eos.h
- eos_from_file.C
- eos_incomp_newt.C